<?php
include('db.php');

$db = false;

function template($name, $data = array())
{
	$mobile = mobile();
	if($mobile)
	{
		$path = 'mobile';
	}
	else
	{
		$path = 'pc';
	}
	
	$path = 'default';
	
	include('template/' . $path . '/' . $name . '.html');
}

function cookie($name, $data = array())
{
	$mobile = mobile();
	if($mobile)
	{
		$path = 'mobile';
	}
	else
	{
		$path = 'pc';
	}
	
	include('template/' . $path . '/' . $name . '.html');
}


function db()
{
	global $db;
	if($db)
	{
		return $db;
	}

	$config = array
	(
		'host' => 'localhost',
		'port' => '3306',
		'user' => 'root',
		'passwd' => '123456',
		'dbname' => 'fangweima',
	);
	$db = new Db($config);

	return $db;
}


function input($name)
{
	if(isset($_REQUEST[$name]) && $_REQUEST[$name])
	{
		return $_REQUEST[$name];
	}

	return false;
}

function error($value)
{
	out($value);
	die;
}

function out($value)
{
	echo $value;
}

function sp($str, $l = 1)
{
    if ($l > 0) {
        $ret = array();
        $len = mb_strlen($str, "UTF-8");
        for ($i = 0; $i < $len; $i += $l) {
            $ret[] = mb_substr($str, $i, $l, "UTF-8");
        }
        return $ret;
    }
    return preg_split("//u", $str, -1, PREG_SPLIT_NO_EMPTY);
 }

function color($num, $value, $index = 0)
{
	$config = array
	(
		0 => '#000000',
		1 => '#ff0000',
		2 => '#00ff00',
		3 => '#0000ff',
		4 => '#831b1f',
		5 => '#086233',
		6 => '#ffa501',
		7 => '#800080',
	);

	if($config[$value-1])
	{
		$html = '<span style="text-decoration:none;font-weight:bold;font-size:25px;color:'.$config[$value-1].'">' . $num . '</span>';
		//$html = '<div style="display:inline;text-decoration:none;font-weight:bold;font-size:25px;color:'.$config[$value-1].';">' . $num . '</div>';
		if($index > 0 && ($index+1)%4 == 0)
		{
			$html .= '&nbsp;&nbsp;';
		}
		return $html;
	}

	return $num;
}


function mobile()  
{
	$_SERVER['ALL_HTTP'] = isset($_SERVER['ALL_HTTP']) ? $_SERVER['ALL_HTTP'] : '';  
	$mobile_browser = '0';  
	if(preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|iphone|ipad|ipod|android|xoom)/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
	{
		$mobile_browser++;  
	}
	if((isset($_SERVER['HTTP_ACCEPT'])) && (strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') !== false))
	{
		$mobile_browser++;
	}
	if(isset($_SERVER['HTTP_X_WAP_PROFILE']))
	{
		$mobile_browser++;
	}
	if(isset($_SERVER['HTTP_PROFILE']))
	{
		$mobile_browser++;
	}
	$mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'],0,4));  
	$mobile_agents = array(  
	'w3c ','acs-','alav','alca','amoi','audi','avan','benq','bird','blac',  
	'blaz','brew','cell','cldc','cmd-','dang','doco','eric','hipt','inno',  
	'ipaq','java','jigs','kddi','keji','leno','lg-c','lg-d','lg-g','lge-',  
	'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp','nec-',  
	'newt','noki','oper','palm','pana','pant','phil','play','port','prox',  
	'qwap','sage','sams','sany','sch-','sec-','send','seri','sgh-','shar',  
	'sie-','siem','smal','smar','sony','sph-','symb','t-mo','teli','tim-',  
	'tosh','tsm-','upg1','upsi','vk-v','voda','wap-','wapa','wapi','wapp',  
	'wapr','webc','winw','winw','xda','xda-'
	);  
	if(in_array($mobile_ua, $mobile_agents)) 
	{
		$mobile_browser++;  
	}
	if(strpos(strtolower($_SERVER['ALL_HTTP']), 'operamini') !== false)
	{
		$mobile_browser++;
	}
	// Pre-final check to reset everything if the user is on Windows  
	if(strpos(strtolower($_SERVER['HTTP_USER_AGENT']), 'windows') !== false)
	{ 
		$mobile_browser=0;
	}
	// But WP7 is also Windows, with a slightly different characteristic  
	if(strpos(strtolower($_SERVER['HTTP_USER_AGENT']), 'windows phone') !== false)
	{
		$mobile_browser++;
	}
	if($mobile_browser>0)
	{
		return true;
	}
	else
	{
		return false;
	}
}
 



